/***
Demonstrates reading a single analog input (AIN) from a LabJack.

***/
import com.sun.jna.ptr.IntByReference;
import com.sun.jna.ptr.DoubleByReference;
import com.labjack.LJM;
import com.labjack.LJMException;

public class SingleAIN {
	
	public static void main(final String[] args) {
		try {
			IntByReference handleRef = new IntByReference(0);
			int handle = 0;
			
			//Open first found LabJack
			LJM.openS("ANY", "ANY", "ANY", handleRef);
			//LJM.open(LJM.Constants.dtANY, LJM.Constants.ctANY, "ANY", handleRef);
			handle = handleRef.getValue();
			
			LJMUtilities.printDeviceInfo(handle);

            //Setup and call eReadName to read from an AIN on the LabJack.
            String name = "AIN0";
			DoubleByReference valueRef = new DoubleByReference(0);
            LJM.eReadName(handle, name, valueRef);

            System.out.println("\n" + name +" reading : "
            		+ String.format("%.4f", valueRef.getValue()) + " V");
			
			//Close handle
			LJM.close(handle);
		}
		catch (LJMException le) {
			le.printStackTrace();
			LJM.closeAll();
		}
	}
}